Bug 1896645 - documentationBaseURL needs to be updated for 4.7
Summary: documentationBaseURL needs to be updated for 4.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-11 06:36 UTC by Yadan Pei
Modified: 2021-02-24 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: documentationBaseURL variable is pointing for OCP 4.6 Consequence: Documentation link in the 4.7 Console is pointing to the 4.6 docs Fix: Replace 4.6 to 4.7 Result: Documentation link in the 4.7 Console is pointing to the 4.7 docs
Clone Of:
Environment:
Last Closed: 2021-02-24 15:32:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 481 0 None closed Bug 1896645: Bump DEFAULT_DOC_URL for ocp 4.7 2021-01-15 13:25:18 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:22 UTC

Description Yadan Pei 2020-11-11 06:36:27 UTC
Description of problem:
documentationBaseURL is still pointing to 4.6 which should be updated to 4.7

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-11-09-190845

How reproducible:
Always

Steps to Reproduce:
1.$ oc get cm console-config -n openshift-console -o yaml | grep documentationBaseURL
      documentationBaseURL: https://docs.openshift.com/container-platform/4.6/
2.
3.

Actual results:
1. documentationBaseURL still points to OCP 4.6

Expected results:
1. documentationBaseURL should point to OCP 4.7

Additional info:

Comment 2 Yanping Zhang 2020-11-13 09:47:58 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2020-11-12-063401, the doc version has been updated to 4.7:
$ oc get cm console-config -n openshift-console -o yaml | grep documentationBaseURL
      documentationBaseURL: https://docs.openshift.com/container-platform/4.7/

Comment 5 errata-xmlrpc 2021-02-24 15:32:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.